Skip to main content
Settings/Chrony Servers Operations
GETChrony Servers OperationsSince 4.7.21SynchronousAuth Required

GetChronyServers

GetChronyServers

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • serversListRequired

    See servers.

    • internalChronyServerInfoRequired

      See internal.

      • hostnameStringRequired

        Address.

      • statusHostConnectedStatusRequired

        See status.

        • ConnectedHostConnectedStatusRequired

          The networke is connected.

        • DisconnectedHostConnectedStatusRequired

          The networke is disconnected.

        • UnknownHostConnectedStatusRequired

          The network status is unknown.

    • externalChronyServerInfoRequired

      See external.

      • hostnameStringRequired

        Address.

      • statusHostConnectedStatusRequired

        See status.

        • ConnectedHostConnectedStatusRequired

          The networke is connected.

        • DisconnectedHostConnectedStatusRequired

          The networke is disconnected.

        • UnknownHostConnectedStatusRequired

          The network status is unknown.

Endpoint

GET/zstack/v1/zops/chrony/servers

/zstack/v1/zops/chrony/servers

Operation ID

GetChronyServers

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zops/chrony/servers?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "servers": [ { "internal": { "hostname": "172.0.0.1", "status": "Connected" }, "external": { "hostname": "ntp.test.com", "status": "Connected" } } ] }

Change History

This API has no change history records yet.

View all change history